ServerEvents.recipes(event => {
	event.remove({output: 'northstar:jet_engine'})
	event.remove({output: 'northstar:iron_cogwheel'})
	event.remove({output: 'northstar:combustion_engine'})
	event.remove({output: 'northstar:rocket_station'})
	event.remove({output: 'northstar:circuit_engraver'})
	event.remove({output: 'northstar:oxygen_filler'})
	event.remove({output: 'northstar:ice_box'})
	event.remove({output: 'mek_x_star:insulation'})
	event.remove({output: 'northstar:tungsten_ingot', type: 'minecraft:smelting'})
	event.remove({output: 'northstar:tungsten_ingot', type: 'minecraft:blasting'})
	let inter = "v_borne:incomplete_refined_mercury_stone"; // making a variable to store the transitional item makes the code more readable
    event.recipes.create
        .sequenced_assembly(
            [
                Item.of("v_borne:refined_mercury_stone").withChance(74.0),
				Item.of("create:chromatic_compound").withChance(16.0),	// this is the item that will appear in JEI as the result
                Item.of("northstar:mercury_deep_stone").withChance(10.0),
            ],
            "northstar:mercury_deep_stone",
            [
                // the transitional item is a variable, that is 'kubejs:incomplete_bauxite' and is used during the intermediate stages of the assembly
                event.recipes.createFilling(inter, [inter, Fluid.of('createaddition:bioethanol', 500)]),
				event.recipes.createDeploying(inter, [inter, 'create:chromatic_compound']),
				event.recipes.createPressing(inter, inter),
            ]
        )
        .transitionalItem(inter)
        .loops(4); // set the transitional item and the number of loops
	event.recipes.create.crushing([
		Item.of('v_borne:pulsium').withChance(0.005),
		Item.of('mekanism:dust_emerald').withChance(0.05),
		Item.of('create:crushed_raw_iron').withChance(0.05),
		Item.of('create:crushed_raw_copper').withChance(0.05)
	], 'v_borne:refined_mercury_stone')
	event.recipes.create.mixing(
	'v_borne:interstellar_alloy',
	['2x v_borne:pulsium', 'minecraft:netherite_scrap', 'createqol:shadow_radiance']).superheated()
	event.recipes.create.mixing(
	[Fluid.of('northstar:methane', 800), Fluid.of('northstar:liquid_oxygen', 200)],
	['northstar:lunar_sapphire_shard', '2x mekanism:enriched_carbon']).heated()
	event.shaped(
  Item.of('northstar:jet_engine', 1), // arg 1: output
  [
    'CCC',
    'CAC', // arg 2: the shape (array of strings)
    'CBC'
  ],
  {
	A: 'createindustry:steel_fluid_tank',
    B: 'createindustry:turbine_blade',
	C: '#forge:plates/iron',
  })
    event.shaped(
  Item.of('northstar:ice_box', 1), // arg 1: output
  [
    'CAC',
    'ABA', // arg 2: the shape (array of strings)
    'CAC'
  ],
  {
	A: 'minecraft:blue_ice',
    B: 'northstar:lunar_sapphire_shard',
	C: '#forge:plates/iron',
  })
    event.shaped(
  Item.of('mek_x_star:insulation', 1), // arg 1: output
  [
    'ABA',
    'ACA', // arg 2: the shape (array of strings)
    'ABA'
  ],
  {
	A: 'mek_x_star:crushed_wool',
    B: 'alloyed:bronze_ingot',
	C: 'create_dd:bury_blend',
  })
	event.shaped(
  Item.of('northstar:combustion_engine', 1), // arg 1: output
  [
    'ABA',
    'CDE', // arg 2: the shape (array of strings)
    'FFF'
  ],
  {
	A: 'minecraft:piston',
    B: 'create:andesite_alloy',
	C: 'create:fluid_pipe',
	D: 'create:fluid_tank',
	E: 'create_sa:fan_component',
	F: 'create:copper_sheet'
  })
	event.shaped(
  Item.of('northstar:oxygen_filler', 1), // arg 1: output
  [
    'ABA',
    'ACA', // arg 2: the shape (array of strings)
    'DED'
  ],
  {
	A: 'minecraft:iron_ingot',
    B: 'northstar:circuit',
	C: 'create:fluid_tank',
	D: 'create:iron_sheet',
	E: 'create:chromatic_compound'
  })
	event.recipes.create.mechanical_crafting('northstar:rocket_station', [
	' ABA ',
    'AHEHA',
	'ADFDA',
	'ACECA',
	'GGGGG'
  ], {
	A: 'create:iron_sheet',
	B: 'minecraft:compass',
	C: 'create_dd:integrated_mechanism',
    D: 'design_decor:industrial_gear',
	E: 'northstar:circuit',
	F: 'northstar:targeting_computer',
	G: 'create_dd:industrial_casing',
	H: 'create:precision_mechanism'
  })
	event.recipes.create.mechanical_crafting('northstar:circuit_engraver', [
	'ABA',
    'CDC',
	'ABA',
	' E '
  ], {
	A: 'create:iron_sheet',
	B: 'create:polished_rose_quartz',
	C: 'create:shaft',
    D: 'create:chromatic_compound',
	E: 'northstar:amethyst_crystal'
  })
})